#fbg{
    opacity: 0.5;
    transform-style: preserve-3d;
    transform: perspective(120rem);
    height: 100dvh;
    background-image: linear-gradient(45deg, rgb(27, 27, 27), rgb(43, 30, 34));
	z-index: -1;
	pointer-events: none;
}

h1{
    animation: slidein 450ms ease-out;
    position: relative;
	pointer-events: none;
}

.flgo{
    animation: logoanim 550ms ease-out;
	height: 216px;
	pointer-events: none;
}

.btncontainer{
	animation: slidein 850ms ease-out;
	position: absolute;
	width: 100%;
	bottom: 0;
	display: flex;
  	align-items: center;
  	justify-content: center;
}

/* generalized button design my beloved */
.btn{
	backdrop-filter: blur(32px);
	border: #2c2c2c42 2px solid;
	border-radius: 4px;
    background-color: #88888804;
	color: #ffffffA1;
	text-decoration: none;
	width: max-content;
    height: 26px;
	transition: all 70ms linear;
    padding: 5px 5px;
	margin: 3px 0px;
	pointer-events: all;
}

noscript{
	color: #ffffff;
	position: absolute;
	padding: 8px;
}

.btn:hover{
    border-bottom: #ff0c41 2px solid;
    background-color: rgba(59, 59, 59, 0.247);
	padding: 7px 5px;
	color: #ffffffFF;
}

.btn:active{
	border: #ffffff4c 2px solid;
	color: #ff004cAF;
}

#fsinfo{
	position: absolute;
	width: 395px;
	height: 30px;
	opacity: 0;
	color: FFFFFF3F;
	font-size: 12px;
	left: 5px;
	bottom: 0;
	transition: padding-bottom 0.54s, opacity 0.2s;
}

#fsinfo:hover{
	padding-bottom: 47px;
	opacity: 0.3;
	cursor: pointer;
}

#fstatus{
	position: absolute;
	width: 395px;
	height: 30px;
	background-color: #0C0C0CAB;
	border-top-right-radius: 5px;
	color: 3A3A3A;
	left: 0;
	bottom: 0;
	overflow: hidden;
	padding-top: 5px;
	padding-left: 5px;
	padding-right: 5px;
	pointer-events: none;
}

#fstxt{
	position: relative;
	width: max-content;
	animation: marquee 7s linear infinite;
    padding-left: 100%;
}

#fimg{
    position: absolute;
    height: 150px;
    right: 0;
    top: 0;
    transition: opacity 1s, border 0.3s;
    box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.226);
	background-color: 1212123A;
	backdrop-filter: blur(24px);
    border-radius: 16px;
    animation:  
        floatanim 5500ms ease-in-out infinite,
        moveLeft 30s linear infinite,
        fadein 1s linear forwards;
    animation-composition: add;
    border: 0 solid #FFFFFF;
	opacity: 0;
	pointer-events: auto;
}

#fimg:hover{
	cursor: pointer;
	border: 4px solid #FF004C;
    box-shadow: -7px 13px 16px #FF004C2C;
	opacity: 1;
}

#fcpopup {
	display: none;
	bottom: 0;
	right: 0;
	backdrop-filter: blur(64px);
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 1;
}

#fcls {
	pointer-events: auto;
	position: absolute;
	right: 12%;
	top: 64px;
	opacity: 0.4;
	width: 48px;
	transition: opacity 0.2s, transform 0.14s;
}

#fcls:hover {
	opacity: 1;
	cursor: pointer;
	transform: scale(1.1);
}


/* animations */
@keyframes fadein {
    from {
        opacity: 0; 
    }
    to {
        opacity: 0.5;
    }
}

@keyframes moveLeft {
    from {
        transform: translate3d(0, 0, 0);
    }
    to {
        transform: translate3d(-220rem, 0, 0);
    }
}

@keyframes floatanim {
    0% {
        box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.226);
        transform: translate3d(0, 0, 0);
    }
    50% {
        box-shadow: -7px 9px 16px rgba(0, 0, 0, 0.226);
        transform: translate3d(0, 0, 6rem);
    }
    100% {
        box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.226);
        transform: translate3d(0, 0, 0);
    }
}

@keyframes marquee {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-100%);
    }
}

@keyframes logoanim {
    from {
        left: 62%;
        opacity: 0;
    }
    to {
        left: 50%;
        opacity: 1;
    }
}

@keyframes slidein {
    from {
        left: 20%;
        opacity: 0;
    }
    to {
        left: 0;
        opacity: 1;
    }
}

@keyframes modalshow {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes modalhide {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    	visibility: hidden;
    }
}